<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="3.0">

  <xsl:output method="text"/>

  <xsl:template match="/">
    <xsl:text>\documentclass{report}\usepackage{q}</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="bq">
    <xsl:text>\begin{document}</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>\end{document}</xsl:text>
  </xsl:template>

  <xsl:template match="styles"/>

  <xsl:template match="subject">
    <xsl:text>\question{</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>}</xsl:text>
  </xsl:template>

  <xsl:template match="instruction">
    <xsl:text>\rubric{</xsl:text>
    <xsl:value-of select="parent::itemGroup/@id"/>
    <xsl:text>}{</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>}</xsl:text>
  </xsl:template>

  <xsl:template match="response">
    <xsl:choose>
      <xsl:when
        test="ancestor::item/@layout='simpleMultipleChoiceRadioButton'">
        <xsl:text>\option{</xsl:text>
        <xsl:value-of select="code"/>
        <xsl:text>}{</xsl:text>
        <xsl:value-of select="label"/>
        <xsl:text>}</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="id"/>

</xsl:stylesheet>
